Subject: Re: Patch for Modus themes 1.1.1?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Feb 2021 16:44:20 +0200

> From: Protesilaos Stavrou <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 25 Feb 2021 08:09:53 +0200
> 
> Can you please outline what are the requirements and general
> functionality of such a 'require-theme' function?  I wish to give it a
> try, though I can only do so in Elisp, whereas 'require' is in C...

A simple implementation that checks whether a theme is already loaded,
and if not, looks it up in a suitable list of directories and loads
when found.  The main part is to make sure themes are looked up in the
directories where we expect them to be, as opposed to load-path, which
is where 'require' looks for files to load.  A Lisp implementation
should be fine, I think.

Let me know if you need further clarifications.

Thanks.